
  
#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>

#include <RemoteXY.h>

// настройки соединения 
#define REMOTEXY_WIFI_SSID "Ночник"
#define REMOTEXY_WIFI_PASSWORD ""
#define REMOTEXY_SERVER_PORT 6377


// конфигурация интерфейса  
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
  { 255,1,0,11,0,131,0,11,105,0,
  3,3,3,8,14,39,2,26,67,1,
  32,52,26,7,26,26,11,129,0,20,
  37,15,6,180,208,160,208,181,208,182,
  208,184,208,188,32,34,208,151,208,184,
  208,188,208,176,34,0,129,0,20,24,
  41,6,96,208,160,208,181,208,182,208,
  184,208,188,32,34,208,155,208,181,209,
  130,208,190,34,0,129,0,21,13,56,
  4,29,208,160,208,181,208,182,208,184,
  208,188,32,34,208,159,208,190,208,187,
  209,140,208,183,208,190,208,178,208,176,
  209,130,208,181,208,187,209,140,209,129,
  208,186,208,184,208,185,34,0 };
  
// структура определяет все переменные и события вашего интерфейса управления 
struct {

    // input variables
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 

    // output variables
  char text_1[11];  // =строка UTF8 оканчивающаяся нулем 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////


int b=512;
void setup() 
{
  RemoteXY_Init (); 
    pinMode (A0, INPUT);
Serial.begin (9600);
pinMode (D7, OUTPUT);
  
  // TODO you setup code
  
}

void loop() 
{ 
  RemoteXY_Handler ();
 int a=analogRead (A0);
int val=a;
Serial.println (a);
//itoa (val, RemoteXY.text_1, 10);
 strcpy  (RemoteXY.text_1, itoa (val, RemoteXY.text_1, 10));

  if (RemoteXY.select_1==0) {
    /*  текущее состояние A */
      if (a<b)
{analogWrite (D7, random(40, 256));
  }
else{
  analogWrite (D7, 0);
} 

  }
  else if (RemoteXY.select_1==1) {
  if (a<b)
{analogWrite (D7, 62);
  }
else{
  analogWrite (D7, 0);
}
  
    /*  текущее состояние B */
  }
  else if (RemoteXY.select_1==2) {
   if (a<b)
{analogWrite (D7, 256);
  }
else{
  analogWrite (D7, 0);
}
 
    /*  текущее состояние C */
  }

  



}